Bug 1261510 - [abrt] NMI watchdog: BUG: soft lockup - CPU#4 stuck for 22s! [NetworkManager:679] [NEEDINFO]
[abrt] NMI watchdog: BUG: soft lockup - CPU#4 stuck for 22s! [NetworkManager:...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a8d2619f308aff9aecce478c0d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 09:40 EDT by Clemens Eisserer
Modified: 2015-11-23 12:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:11:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (116.23 KB, text/plain)
2015-09-09 09:40 EDT, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2015-09-09 09:40:20 EDT
Description of problem:
After booting the system, the bnx2x driver went crazy

Additional info:
reporter:       libreport-2.6.2
NMI watchdog: BUG: soft lockup - CPU#4 stuck for 22s! [NetworkManager:679]
bnx2x: [bnx2x_issue_dmae_with_comp:545(ens4f0)]DMAE timeout!
bnx2x: [bnx2x_write_dmae:593(ens4f0)]DMAE returned failure -1
bnx2x: [bnx2x_issue_dmae_with_comp:545(ens4f0)]DMAE timeout!
bnx2x: [bnx2x_write_dmae:593(ens4f0)]DMAE returned failure -1
NMI watchdog: BUG: soft lockup - CPU#4 stuck for 22s! [NetworkManager:648]
Modules linked in: snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal snd_hda_codec_realtek coretemp snd_hda_codec_generic kvm_intel kvm snd_hda_intel snd_hda_controller snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device iTCO_wdt snd_pcm iTCO_vendor_support crct10dif_pclmul crc32_pclmul dcdbas crc32c_intel sb_edac i8k ghash_clmulni_intel edac_core snd_timer lpc_ich snd mfd_core i2c_i801 mei_me soundcore mei shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage 8021q garp stp llc mrp nouveau video mxm_wmi i2c_algo_bit drm_kms_helper bnx2x ttm drm firewire_ohci e1000e serio_raw firewire_core myri10ge mdio ata_generic crc_itu_t libcrc32c dca pata_acpi ptp pps_core wmi
CPU: 4 PID: 648 Comm: NetworkManager Not tainted 4.1.6-200.fc22.x86_64 #1
Hardware name: Dell Inc. Precision Tower 5810/0K240Y, BIOS A07 04/14/2015
task: ffff88009c7b2780 ti: ffff88009c070000 task.ti: ffff88009c070000
RIP: 0010:[<ffffffff8101e966>]  [<ffffffff8101e966>] native_read_tsc+0x6/0x20
RSP: 0018:ffff88009c073230  EFLAGS: 00000246
RAX: 000000005f0699f1 RBX: ffffffff810f7aea RCX: 000000005f06995a
RDX: 000000000000004b RSI: ffff88009c073330 RDI: 000000000002a9ff
RBP: ffff88009c073230 R08: 0000000000000000 R09: 0000000000000002
R10: 0000000000020d34 R11: 0000000000000629 R12: 0000000000000246
R13: 0000000000000000 R14: 0000000000000246 R15: 0000000000000000
FS:  00007f8e6c4aa880(0000) GS:ffff88045fd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055bd7be12260 CR3: 0000000449091000 CR4: 00000000001406e0
Stack:
 ffff88009c073258 ffffffff813ba9e0 00000000000006ad ffff880447b34840
 ffff88044b46913c ffff88009c073268 ffffffff813ba947 ffff88009c0732e8
 ffffffffa01780b7 ffff88009c073288 ffffffff810f8a39 ffff88009c0732e8
Call Trace:
 [<ffffffff813ba9e0>] delay_tsc+0x30/0x70
 [<ffffffff813ba947>] __const_udelay+0x27/0x30
 [<ffffffffa01780b7>] bnx2x_issue_dmae_with_comp+0x2b7/0x560 [bnx2x]
 [<ffffffff810f8a39>] ? vprintk_default+0x29/0x50
 [<ffffffff8179aa23>] ? printk+0x55/0x6b
 [<ffffffffa017844d>] bnx2x_write_dmae+0xed/0x180 [bnx2x]
 [<ffffffffa0178adf>] bnx2x_write_dmae_phys_len+0x9f/0xc0 [bnx2x]
 [<ffffffffa0178e94>] bnx2x_init_fill.constprop.124+0x114/0x180 [bnx2x]
 [<ffffffffa017916f>] bnx2x_init_block+0x26f/0x4b0 [bnx2x]
 [<ffffffffa017e320>] bnx2x_init_hw_common+0xad0/0x1df0 [bnx2x]
 [<ffffffffa017f656>] bnx2x_init_hw_common_chip+0x16/0x50 [bnx2x]
 [<ffffffffa01d7f1b>] bnx2x_func_send_cmd+0x21b/0x820 [bnx2x]
 [<ffffffff811090c0>] ? internal_add_timer+0xc0/0xc0
 [<ffffffffa01db819>] bnx2x_func_state_change+0xf9/0x290 [bnx2x]
 [<ffffffffa01db6d4>] ? bnx2x_init_func_obj+0x64/0xb0 [bnx2x]
 [<ffffffffa01bb369>] bnx2x_nic_load+0xa29/0x2250 [bnx2x]
 [<ffffffffa0184037>] bnx2x_open+0x137/0x230 [bnx2x]
 [<ffffffff8168467e>] __dev_open+0xce/0x150
 [<ffffffff816849c1>] __dev_change_flags+0xa1/0x170
 [<ffffffff81684ab9>] dev_change_flags+0x29/0x70
 [<ffffffff81692cfe>] do_setlink+0x34e/0x8d0
 [<ffffffff813db8a2>] ? nla_parse+0x32/0x120
 [<ffffffff81693b84>] rtnl_newlink+0x604/0x900
 [<ffffffff813b64c8>] ? put_dec+0x18/0xa0
 [<ffffffff81334c58>] ? security_capable+0x18/0x20
 [<ffffffff810a9e9d>] ? ns_capable+0x2d/0x60
 [<ffffffff81692205>] rtnetlink_rcv_msg+0xf5/0x270
 [<ffffffff8166e807>] ? __alloc_skb+0x87/0x210
 [<ffffffff81692110>] ? rtnetlink_rcv+0x40/0x40
 [<ffffffff816b74a9>] netlink_rcv_skb+0xb9/0xe0
 [<ffffffff816920fc>] rtnetlink_rcv+0x2c/0x40
 [<ffffffff816b6bfd>] netlink_unicast+0x12d/0x1c0
 [<ffffffff816b7167>] netlink_sendmsg+0x4d7/0x640
 [<ffffffff8166471d>] sock_sendmsg+0x3d/0x50
 [<ffffffff81665133>] ___sys_sendmsg+0x2b3/0x2c0
 [<ffffffff812a35f9>] ? sysctl_head_finish+0x49/0x50
 [<ffffffff812a3ebe>] ? proc_sys_call_handler+0x9e/0x110
 [<ffffffff813bc238>] ? lockref_put_or_lock+0x58/0x90
 [<ffffffff81665c37>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81665c92>] SyS_sendmsg+0x12/0x20
 [<ffffffff817a1f2e>] system_call_fastpath+0x12/0x71
Code: ff ff ff e9 53 ff ff ff 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 5d c3 0f 1f 44 00 00 55 48 89 e5 0f 31 <48> c1 e2 20 89 c0 48 09 d0 5d c3 66 66 66 66 66 66 2e 0f 1f 84
Comment 1 Clemens Eisserer 2015-09-09 09:40:26 EDT
Created attachment 1071754 [details]
File: dmesg
Comment 2 Justin M. Forbes 2015-10-20 15:20:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:11:07 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.